Introduction
This documentation describes Solo REST API which provides access to Solo objects. Using Solo REST API, you can easily create your own powerful integration.
Your use of the Solo REST API is subject to this License Agreement
Access Solo REST API
To access Solo REST API you must issue token.
API URL
Once you have a token you can use this url to access Solo objects.
https://Solo.cloud/
Solo objects
Solo objects in Solo REST API are presented in the same hierarchy as is Starsteer. The top level is Project, with the following structure:
- Project
- Lateral
- Interpretation
- Horizon
- Earth model
- Nested well (PAPI term for Well Plan)
- Topset
- Top
- Topset
- Log
- Mudlog
- Topset
- Top
- Image
- Target line
- Comment
- Comment box
- Interpretation
- Typewell
- Log
- Mudlog
- Topset
- Top
- Grid
- Polygon
- Stick
- Lateral
Double values
Has a value
HTTP/1.1 200 OK
"data" : {
"val" : 16.581
}
Not a number value
HTTP/1.1 200 OK
"data" : {
"undefined": true
}
Double value consists of two fields:
val- field holds a valueundefined- field which istrueif a value is not a number value
Paging
HTTP/1.1 200 OK
{
"content" : [ ],
"offset" : 0,
"limit" : 20,
"first" : true,
"last" : true,
"total" : 3
}
Many of the Solo REST API endpoints return a pageable structure:
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
total |
Number |
Total number of records |
0. Authentication
Issue token
Authentication using OAuth 2.0
Request
$ curl 'https://solo.cloud/oauth/token' -i -u 'solo-api-client-id:solo-api-secret' -X POST \
-H 'Content-Type: application/x-www-form-urlencoded; charset=ISO-8859-1' \
-d 'grant_type=password&username=test%2Bapi%40test.com&password=password'
POST /oauth/token HTTP/1.1
Authorization: Basic c29sby1hcGktY2xpZW50LWlkOnNvbG8tYXBpLXNlY3JldA==
Content-Type: application/x-www-form-urlencoded; charset=ISO-8859-1
Host: solo.cloud
grant_type=password&username=test%2Bapi%40test.com&password=password
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: d427bc8172c90b160bb1f15ba899b546
X-Solo-Device-Identifier: vmEVHxrpVTkmSElxj+gJcpmjtQU3tV/u7vY5O2pdKTEUDIYI3/qQz1mPonqqcaW+FG3uOnAj2isxP9xAdzel+Q==
Set-Cookie: device-identifier=vmEVHxrpVTkmSElxj+gJcpmjtQU3tV/u7vY5O2pdKTEUDIYI3/qQz1mPonqqcaW+FG3uOnAj2isxP9xAdzel+Q==; Domain=rogii.net; Path=/auth/api/v2; HttpOnly; SameSite=Strict
Set-Cookie: SESSION=N2RmNDRhNDAtZDk2YS00YTc1LTk1ZWItYjBjZjFjOWU1NzVj; Max-Age=2147483647; Expires=Sun, 26 Sep 2094 21:06:48 GMT; Path=/; HttpOnly; SameSite=Strict
Set-Cookie: SSO-SESSION=N2RmNDRhNDAtZDk2YS00YTc1LTk1ZWItYjBjZjFjOWU1NzVj; Max-Age=2147483647; Expires=Sun, 26 Sep 2094 21:06:48 GMT; Domain=rogii.com; Path=/; HttpOnly; SameSite=Strict
Set-Cookie: SSO-SESSION=N2RmNDRhNDAtZDk2YS00YTc1LTk1ZWItYjBjZjFjOWU1NzVj; Max-Age=2147483647; Expires=Sun, 26 Sep 2094 21:06:48 GMT; Domain=solo.cloud; Path=/; HttpOnly; SameSite=Strict
Set-Cookie: SSO-SESSION=N2RmNDRhNDAtZDk2YS00YTc1LTk1ZWItYjBjZjFjOWU1NzVj; Max-Age=2147483647; Expires=Sun, 26 Sep 2094 21:06:48 GMT; Domain=testsolo.rogii.net; Path=/; HttpOnly; SameSite=Strict
Authorization: 7df44a40-d96a-4a75-95eb-b0cf1c9e575c
Content-Type: application/json;charset=UTF-8
{
"access_token" : "eyJraWQiOiI5YzBkMjY2NC0wODdkLTQxMmUtYWRkMC1hNTRlMDU2MTc0ZDEiLCJhbGciOiJSUzI1NiJ9.eyJjb21wYW55X2lkIjoyMDAwMywiY2xpZW50X2FwcF9pZCI6InBhcGkiLCJwZXJzb25fdHlwZSI6IlNUQUZGIiwidXNlcl9uYW1lIjoidGVzdCthcGlAdGVzdC5jb20iLCJjbGllbnRfaW5pdF9pcCI6IjEwLjQyLjAuMTM1IiwidXNlcl9kaWdlc3QiOiI4YjllZWEzNzc3IiwiYXV0aG9yaXRpZXMiOlsiUk9MRV9TVEFGRiJdLCJjbGllbnRfaWQiOiJzb2xvLWFwaS1jbGllbnQtaWQiLCJhdWQiOiJzb2xvLXB1YmxpYy1hcGkiLCJ1c2VyX2lkIjoxNDk3LCJzY29wZSI6WyJyZWFkIl0sImV4cCI6MTc4ODg5OTk2MSwiaWF0IjoxNzg4ODg5OTYxLCJqdGkiOiJmZGQ3YzdiOC0wYmM1LTQwNTEtYjNjYy1lZTIwMWJlYWM1OGQifQ.X4lr3fdwIlgC1IJofsKjnFL9Ahy-LC8irtAvgExIzAWVVvmDG9Tur_EzslMTiLo5qfuZKQ2O1Sbxqz64puM_KC7btQPndjjM4DkwyjuJ8PY_ZCTemSOI2TZCY560iMH9cCNaAfllaX1A18sJDBqvMQZm1J0BXrA_sNOt5m9mGJWbncCiAmDCETqP2_Q52i06bGU1TB2Qr2EcUQq4Wa2NN4V8qKTlXfI75VMSbSMsZlexzKApPsdZDwBQeQq80WVNTBnmvaJTpAEjxhQWlFQ4Q6jL4sQ9zqW4IgNOp7pAYwRRKoYeMss71hkBXyDsTVvyAqJNa7vQ1xStt2QwC_SKUg",
"refresh_token" : "eyJraWQiOiI5YzBkMjY2NC0wODdkLTQxMmUtYWRkMC1hNTRlMDU2MTc0ZDEiLCJhbGciOiJSUzI1NiJ9.eyJjb21wYW55X2lkIjoyMDAwMywiY2xpZW50X2FwcF9pZCI6InBhcGkiLCJwZXJzb25fdHlwZSI6IlNUQUZGIiwidXNlcl9uYW1lIjoidGVzdCthcGlAdGVzdC5jb20iLCJjbGllbnRfaW5pdF9pcCI6IjEwLjQyLjAuMTM1IiwidXNlcl9kaWdlc3QiOiI4YjllZWEzNzc3IiwiYXV0aG9yaXRpZXMiOlsiUk9MRV9TVEFGRiJdLCJjbGllbnRfaWQiOiJzb2xvLWFwaS1jbGllbnQtaWQiLCJhdWQiOiJzb2xvLXB1YmxpYy1hcGkiLCJ1c2VyX2lkIjoxNDk3LCJzY29wZSI6WyJyZWFkIl0sImV4cCI6MTc4ODkxOTk2MSwiaWF0IjoxNzg4ODg5OTYxLCJqdGkiOiI2MmJlMWY5MS1iOWE2LTQ5NDQtYjI4Mi05OWI3MTZlNjM3OWMifQ.D8cfvD6kwDjAFDkl9A9QVnj4BTmuYvYasRVtIUdOjUaeRDonmUz4ULX8P54LQaQGRsHT7UmdbrIuCjW_ByEOW5sU1ROJehwCMqabGvhkywHSGvcLdB-ZEdwINyS7vG7wCEowS-yD3Wur2RsGxWemNdZ1HAqx3U79sUXjZahBsamwRVJCy6Q2lXhCi9nh2L5hNOBkt1Ml9SFjoru_QooCyf4owGjPYoONGSlA0ukSqY1Z9vuP0QItAzClvYM6Tpu_QS0RqG4XPud4p3uAfRAmpduz5hKCEwKh9sarzUHSFRnOuUscbih1ON5E6wUXzrcT0tervG6IuorxUA-VWkiAWQ",
"scope" : "read",
"token_type" : "Bearer",
"expires_in" : 9999,
"iat" : 1788889961,
"jti" : "fdd7c7b8-0bc5-4051-b3cc-ee201beac58d"
}
POST /oauth/token
| Parameter | Description |
|---|---|
grant_type |
The type of grant being presented in exchange for an access and refresh token. Can be password or refresh_token |
username |
User name in Solo to access a project |
password |
User password in Solo to access a project |
| Header | Description |
|---|---|
Authorization |
Authorization header in the following format Basic credentialscredentials is a client_id:secret string encoded in base64 (standard http basic authorization).client_id is a unique client identifier to access the public api. secret is a unique client secret string to access the public api. |
Response body
| Path | Type | Description |
|---|---|---|
access_token |
String |
Access token issued by the authorization server |
token_type |
String |
Token type |
refresh_token |
String |
Refresh token associated with the access token |
expires_in |
Number |
Lifetime in seconds of the access token. For example, the value 3600 denotes that the access token will expire in one hour from the time the response was generated |
scope |
String |
Scope of the token |
iat |
Number |
Time at which the token was issued |
jti |
String |
Unique token identifier |
Solo-hosted login for external integrations
In addition to the OAuth 2.0 token methods described above, Solo supports a browser-based, Solo-hosted login flow for external applications. This flow is suitable for integrations that want to present a "Sign in with Solo" button, redirect the user to Solo for authentication, and receive an authorization code that can be exchanged for tokens.
Download sample project
A runnable sample project is available as a reference implementation. It demonstrates the hosted login redirect, callback handling, token exchange, refresh token handling, and local setup with .env.example.
Download: Solo-auth-sample.zip
1. Projects
Create virtual project
Create virtual project by project UUID
Request
$ curl 'https://solo.cloud/public/api/v1/projects/edae5c56-4e03-43fe-b0e5-e9a4bec2e6ef/virtual' -i -X POST \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"name" : "Virtual project name",
"description" : "Virtual project description"
}'
POST /public/api/v1/projects/edae5c56-4e03-43fe-b0e5-e9a4bec2e6ef/virtual HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 86
{
"name" : "Virtual project name",
"description" : "Virtual project description"
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 2d8c6f782f89d65a96ad04104267aa9a
Content-Type: application/json
{
"uuid" : "72fa4b85-8529-4380-a8c3-8b06f449b8b2"
}
POST /public/api/v1/projects/{uuid}/virtual
| Path parameter | Description |
|---|---|
uuid |
Project UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
name |
String |
Virtual project name |
description |
String |
Virtual project description |
Response body
| Path | Type | Description |
|---|---|---|
uuid |
String |
Created virtual project UUID |
Add virtual project entities
Add virtual project entities by virtual project UUID
Request
$ curl 'https://solo.cloud/public/api/v1/projects/virtual/72fa4b85-8529-4380-a8c3-8b06f449b8b2/entities' -i -X POST \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"wells" : [ "052c2a3f-43b4-4947-a601-0b26c14cc580", "2b082cf5-7301-4587-8fa8-b0035795ccc0" ],
"typewells" : [ "9cde0681-25c2-47a1-a46d-808c13b03552", "08d79a8d-91b3-4a57-90b4-35165b890fdd" ],
"grids" : [ "8b91dbd3-cd59-4da2-8772-1f43e7a0239e" ],
"polygons" : [ "02187bef-cf20-469e-b174-70142b9173c3" ],
"sticks" : [ "1a8f9f4f-252f-4634-83bf-9183f9f18c97" ]
}'
POST /public/api/v1/projects/virtual/72fa4b85-8529-4380-a8c3-8b06f449b8b2/entities HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 370
{
"wells" : [ "052c2a3f-43b4-4947-a601-0b26c14cc580", "2b082cf5-7301-4587-8fa8-b0035795ccc0" ],
"typewells" : [ "9cde0681-25c2-47a1-a46d-808c13b03552", "08d79a8d-91b3-4a57-90b4-35165b890fdd" ],
"grids" : [ "8b91dbd3-cd59-4da2-8772-1f43e7a0239e" ],
"polygons" : [ "02187bef-cf20-469e-b174-70142b9173c3" ],
"sticks" : [ "1a8f9f4f-252f-4634-83bf-9183f9f18c97" ]
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: b5eb98c6d745b91a8dcaf0e50cf3a559
POST /public/api/v1/projects/virtual/{uuid}/entities
| Path parameter | Description |
|---|---|
uuid |
Virtual project UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
wells |
Array |
List of well UUIDs to add to the virtual project |
typewells |
Array |
List of typewell UUIDs to add to the virtual project |
grids |
Array |
List of grid UUIDs to add to the virtual project |
polygons |
Array |
List of polygon UUIDs to add to the virtual project |
sticks |
Array |
List of stick UUIDs to add to the virtual project |
Response body
Empty body
Get projects
Get a list of company projects with pagination
Request
$ curl 'https://solo.cloud/public/api/v1/projects?filter=pApi&offset=0&limit=20' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/projects?filter=pApi&offset=0&limit=20 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 933a06ecb657c67c37d0ed40a40e8368
Content-Type: application/json
{
"content" : [ {
"uuid" : "62695ef6-1022-41ed-bc14-8871f4e0e515",
"name" : "Papi test project 1",
"measure_unit" : "FOOT",
"role" : "MANAGER",
"accessed_on" : "2026-09-08T17:50:55Z",
"modified_on" : "2026-09-08T17:50:55Z"
}, {
"uuid" : "25b013a9-17e1-45ae-984e-2af9db757227",
"name" : "Papi test project 2",
"measure_unit" : "METER",
"role" : "MANAGER",
"geo_crs" : {
"code" : 2000,
"authority" : "EPSG",
"name" : "Anguilla 1957 / British West Indies Grid",
"measure_unit" : "METER"
},
"accessed_on" : "2026-09-08T17:50:55Z",
"modified_on" : "2026-09-08T17:50:55Z"
}, {
"uuid" : "edae5c56-4e03-43fe-b0e5-e9a4bec2e6ef",
"name" : "Papi test project 3",
"measure_unit" : "FOOT",
"role" : "MANAGER",
"geo_crs" : {
"code" : 2270,
"authority" : "EPSG",
"name" : "NAD83 / Oregon South (ft)",
"measure_unit" : "FOOT"
},
"accessed_on" : "2026-09-08T17:50:55Z",
"modified_on" : "2026-09-08T17:50:55Z"
} ],
"offset" : 0,
"limit" : 20,
"total" : 3,
"first" : true,
"last" : true
}
GET /public/api/v1/projects
| Parameter | Description |
|---|---|
offset |
Index of the first record to return by a request from the list of all records |
limit |
Maximum number of records to return by a request from the list of all records, starting with 'offset' |
filter |
Filter projects by the 'name' field. Case insensitive. |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
total |
Number |
Total number of records |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
content[].uuid |
String |
Project UUID |
content[].name |
String |
Project name |
content[].measure_unit |
String |
Measurement units (possible values: METER, FOOT, METER_FOOT) |
content[].role |
String |
Role |
content[].accessed_on |
String |
Date/time project last accessed at |
content[].modified_on |
String |
Date/time project last modified at |
content[].geo_crs |
Object |
Coordinate reference system (CRS) information |
content[].geo_crs.code |
Varies |
CRS code |
content[].geo_crs.authority |
Varies |
Authority |
content[].geo_crs.name |
Varies |
CRS name |
content[].geo_crs.measure_unit |
Varies |
CRS measure unit |
Get virtual projects
Get a list of company virtual projects with paginations. Virtual projects use a subset of data from a Global Project and have their own access roles defined in the SOLO Admin Panel. They can be easily managed for specific users and any changes made are updated across the database. Data added to a Virtual Project is also added to the corresponding Global Project
Request
$ curl 'https://solo.cloud/public/api/v1/projects/virtual?filter=pApi&offset=0&limit=20' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/projects/virtual?filter=pApi&offset=0&limit=20 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 3ef3b6555fd9f7d490ffa2d6ee733a63
Content-Type: application/json
{
"content" : [ {
"uuid" : "f50e3c7b-4bbf-4fac-bd82-32db084995e6",
"name" : "Virtual Papi test project 1",
"measure_unit" : "FOOT",
"role" : "MANAGER",
"parent_uuid" : "62695ef6-1022-41ed-bc14-8871f4e0e515",
"parent_name" : "Papi test project 1",
"virtual" : true,
"modified_on" : "2026-09-08T17:50:55Z"
}, {
"uuid" : "eef566f4-3576-40db-869e-a0b03f0a0acd",
"name" : "Virtual Papi test project 2",
"measure_unit" : "METER",
"role" : "MANAGER",
"geo_crs" : {
"code" : 2000,
"authority" : "EPSG",
"name" : "Anguilla 1957 / British West Indies Grid",
"measure_unit" : "METER"
},
"parent_uuid" : "25b013a9-17e1-45ae-984e-2af9db757227",
"parent_name" : "Papi test project 2",
"virtual" : true,
"modified_on" : "2026-09-08T17:50:55Z"
}, {
"uuid" : "803c189e-a7b8-4024-aadf-57cba9e5f055",
"name" : "Virtual Papi test project 3",
"measure_unit" : "FOOT",
"role" : "MANAGER",
"geo_crs" : {
"code" : 2270,
"authority" : "EPSG",
"name" : "NAD83 / Oregon South (ft)",
"measure_unit" : "FOOT"
},
"parent_uuid" : "edae5c56-4e03-43fe-b0e5-e9a4bec2e6ef",
"parent_name" : "Papi test project 3",
"virtual" : true,
"modified_on" : "2026-09-08T17:50:55Z"
} ],
"offset" : 0,
"limit" : 20,
"total" : 3,
"first" : true,
"last" : true
}
GET /public/api/v1/projects/virtual
| Parameter | Description |
|---|---|
offset |
Index of the first record to return by a request from the list of all records |
limit |
Maximum number of records to return by a request from the list of all records, starting with 'offset' |
filter |
Filter virtual projects by the 'name' field. Case insensitive. |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
total |
Number |
Total number of records |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
content[].uuid |
String |
Virtual project UUID |
content[].name |
String |
Virtual project name |
content[].measure_unit |
String |
Measurement units (possible values: METER, FOOT, METER_FOOT) |
content[].role |
String |
Role |
content[].accessed_on |
String |
Date/time project last accessed at |
content[].modified_on |
String |
Date/time project last modified at |
content[].geo_crs |
Object |
Coordinate reference system (CRS) information |
content[].parent_uuid |
String |
Parent project UUID |
content[].parent_name |
String |
Parent project name |
content[].virtual |
Boolean |
Whether the project is virtual |
content[].geo_crs.code |
Varies |
CRS code |
content[].geo_crs.authority |
Varies |
Authority |
content[].geo_crs.name |
Varies |
CRS name |
content[].geo_crs.measure_unit |
Varies |
CRS measure unit |
Get project
Get a single project info
Request
$ curl 'https://solo.cloud/public/api/v1/projects/edae5c56-4e03-43fe-b0e5-e9a4bec2e6ef' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/projects/edae5c56-4e03-43fe-b0e5-e9a4bec2e6ef HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 1742881ac5f186930afb29d3d29120c7
Content-Type: application/json
{
"uuid" : "edae5c56-4e03-43fe-b0e5-e9a4bec2e6ef",
"name" : "Papi test project 3",
"measure_unit" : "FOOT",
"role" : "MANAGER",
"geo_crs" : {
"code" : 2270,
"authority" : "EPSG",
"name" : "NAD83 / Oregon South (ft)",
"measure_unit" : "FOOT"
},
"accessed_on" : "2026-09-08T17:50:55Z",
"modified_on" : "2026-09-08T17:50:55Z"
}
GET /public/api/v1/projects/{uuid}
| Path parameter | Description |
|---|---|
uuid |
Project UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
uuid |
String |
Project UUID |
name |
String |
Project name |
measure_unit |
String |
Measurement units (possible values: METER, FOOT, METER_FOOT) |
role |
String |
Role |
accessed_on |
String |
Date/time project last accessed at |
modified_on |
String |
Date/time project last modified at |
geo_crs |
Object |
Coordinate reference system (CRS) information |
geo_crs.code |
Number |
CRS code |
geo_crs.authority |
String |
Authority |
geo_crs.name |
String |
CRS name |
geo_crs.measure_unit |
String |
CRS measure unit |
Get recently updated objects
Get recently updated project objects
Request
$ curl 'https://solo.cloud/public/api/v1/projects/edae5c56-4e03-43fe-b0e5-e9a4bec2e6ef/changes' -i -X POST \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"modified_since" : "2026-09-08T17:49:55.461Z"
}'
POST /public/api/v1/projects/edae5c56-4e03-43fe-b0e5-e9a4bec2e6ef/changes HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 51
{
"modified_since" : "2026-09-08T17:49:55.461Z"
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 8c1230912dda63ea6bbde02ae721e9d9
Content-Type: application/json
{
"content" : [ {
"uuid" : "052c2a3f-43b4-4947-a601-0b26c14cc580",
"type" : "WELL",
"operation" : "CREATE"
}, {
"uuid" : "9cde0681-25c2-47a1-a46d-808c13b03552",
"type" : "TYPEWELL",
"operation" : "CREATE"
} ],
"modified_on" : "2026-09-08T17:50:56.158Z",
"modified_at" : "2026-09-08T17:50:56.158+00:00"
}
POST /public/api/v1/projects/{uuid}/changes
| Path parameter | Description |
|---|---|
uuid |
Project UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
modified_since |
String |
Date/time project modifications request since (pay attention to format) |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
modified_at |
String |
Date/time project last modified at |
content[].uuid |
String |
Project object UUID |
content[].type |
String |
Project object type |
content[].operation |
String |
Operation performed on the object |
Get project history
Get project history by project UUID
Request
$ curl 'https://solo.cloud/public/api/v1/projects/8703082f-d258-444e-896f-fe1a16b770e4/history?offset=0&limit=4' -i -X POST \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"modified_since" : "2026-03-12T12:00:00.000+00:00",
"modified_to" : "2026-03-12T13:00:00.000+00:00",
"user_name" : "Bot Manager",
"user_email" : "a.bortnikov+manager@rogii.com",
"well_name" : "Typewell",
"well_ids" : [ "755135f6-6634-49bb-ad1f-093bf4efcc9c" ],
"sources" : [ "ANY" ]
}'
POST /public/api/v1/projects/8703082f-d258-444e-896f-fe1a16b770e4/history?offset=0&limit=4 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 300
{
"modified_since" : "2026-03-12T12:00:00.000+00:00",
"modified_to" : "2026-03-12T13:00:00.000+00:00",
"user_name" : "Bot Manager",
"user_email" : "a.bortnikov+manager@rogii.com",
"well_name" : "Typewell",
"well_ids" : [ "755135f6-6634-49bb-ad1f-093bf4efcc9c" ],
"sources" : [ "ANY" ]
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 7403cb7037470b35
Content-Type: application/json
{
"content" : [ {
"modified_at" : "2026-03-12T12:00:04.441+00:00",
"user_email" : "a.bortnikov+manager@rogii.com",
"user_name" : "Bot Manager",
"source" : "portal",
"well_id" : "755135f6-6634-49bb-ad1f-093bf4efcc9c",
"well_name" : "Typewell",
"well_type" : "TYPEWELL",
"changes" : [ {
"operation" : "CREATE",
"object_id" : "755135f6-6634-49bb-ad1f-093bf4efcc9c",
"object_type" : "TYPEWELL",
"object_name" : "Typewell"
}, {
"operation" : "CREATE",
"object_id" : "00000000-0000-0000-0000-000000000001",
"object_type" : "WELLHEADER",
"object_name" : "Name"
}, {
"operation" : "CREATE",
"object_id" : "00000000-0000-0000-0000-000000000002",
"object_type" : "WELLHEADER",
"object_name" : "API"
}, {
"operation" : "CREATE",
"object_id" : "00000000-0000-0000-0000-000000000004",
"object_type" : "WELLHEADER",
"object_name" : "Operator"
}, {
"operation" : "CREATE",
"object_id" : "00000000-0000-0000-0000-000000000007",
"object_type" : "WELLHEADER",
"object_name" : "KB"
}, {
"operation" : "CREATE",
"object_id" : "00000000-0000-0000-0000-000000000008",
"object_type" : "WELLHEADER",
"object_name" : "Azimuth VS"
}, {
"operation" : "CREATE",
"object_id" : "00000000-0000-0000-0000-000000000009",
"object_type" : "WELLHEADER",
"object_name" : "Convergence"
}, {
"operation" : "CREATE",
"object_id" : "00000000-0000-0000-0000-000000000012",
"object_type" : "WELLHEADER",
"object_name" : "X-srf"
}, {
"operation" : "CREATE",
"object_id" : "00000000-0000-0000-0000-000000000013",
"object_type" : "WELLHEADER",
"object_name" : "Y-srf"
} ]
}, {
"modified_at" : "2026-03-12T12:00:05.488+00:00",
"user_email" : "a.bortnikov+manager@rogii.com",
"user_name" : "Bot Manager",
"source" : "portal",
"well_id" : "755135f6-6634-49bb-ad1f-093bf4efcc9c",
"well_name" : "Typewell",
"well_type" : "TYPEWELL",
"changes" : [ {
"operation" : "CREATE",
"object_id" : "489bce1c-333d-486d-b84d-89670505f9f3",
"object_type" : "LOG",
"object_name" : "Log"
} ]
}, {
"modified_at" : "2026-03-12T12:00:05.634+00:00",
"user_email" : "a.bortnikov+manager@rogii.com",
"user_name" : "Bot Manager",
"source" : "portal",
"well_id" : "755135f6-6634-49bb-ad1f-093bf4efcc9c",
"well_name" : "Typewell",
"well_type" : "TYPEWELL",
"changes" : [ {
"operation" : "CREATE",
"object_id" : "3bd00b21-c7d9-407e-83e9-347d50cef95d",
"object_type" : "TOPSET",
"object_name" : "Top Set"
} ]
}, {
"modified_at" : "2026-03-12T12:00:05.982+00:00",
"user_email" : "a.bortnikov+manager@rogii.com",
"user_name" : "Bot Manager",
"source" : "portal",
"well_id" : "755135f6-6634-49bb-ad1f-093bf4efcc9c",
"well_name" : "Typewell",
"well_type" : "TYPEWELL",
"changes" : [ {
"operation" : "CREATE",
"object_id" : "1b97e61f-f57e-4fa4-8df1-21ee3a1b0244",
"object_type" : "MUDLOG",
"object_name" : "Mud Log"
} ]
} ],
"offset" : 0,
"limit" : 4,
"total" : 32,
"last" : false,
"first" : true
}
POST /public/api/v1/projects/{uuid}/history
| Path parameter | Description |
|---|---|
uuid |
Project UUID |
| Parameter | Description |
|---|---|
offset |
Index of the first record to return by a request from the list of all records |
limit |
Maximum number of records to return by a request from the list of all records, starting with 'offset' |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
modified_since |
String |
Filter by modification date/time from |
modified_to |
String |
Filter by modification date/time to |
user_name |
String |
Filter by user name |
user_email |
String |
Filter by user email |
well_name |
String |
Filter by well name |
well_ids |
Array |
Filter by well UUIDs |
object_name |
String |
Filter by object name |
object_ids |
Array |
Filter by object UUIDs |
sources |
Array |
Filter by client application sources, allowed values are 'SOLO_CONNECT_CLOUD', 'FEED_OUTPUT', 'WEB_VIEWER_NATIVE_IOS', 'ANY', 'TLOG', 'ALERTS', 'PETREL', 'WS_RTM_NATIVE_ANDROID', 'STARSTEER', 'DRILLSPOT_FEED', 'WEB_VIEWER_MOBILE', 'WS_RTM', 'WEB_VIEWER_NATIVE_ANDROID', 'SOLO_CONNECT', 'SOLOBOX', 'WITSML', 'WITSML_SERVER', 'ACTIVITY_LOG', 'PYTHON_SDK', 'DATA_MANAGER', 'SYSTEM_ROBOT', 'WS_RTM_NATIVE_IOS', 'DRILLSPOT', 'SOLO_FEED', 'FEED_SAAS_OUTPUT', 'STARFRAC', 'WEB_PORTAL', 'SAAS_STARSTEER', 'WEB_ADMIN', 'PAPI', 'LANDING', 'WEB_VIEWER', 'WEB_SUPPORT_MANAGEMENT', 'WEB_FREE_VIEWER_NATIVE_IOS', 'DRILLSPOT_SOLO_FEED' |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
total |
Number |
Total number of records |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
content[].modified_at |
String |
Date/time of modification |
content[].user_email |
String |
User email |
content[].user_name |
String |
User name |
content[].source |
String |
Client application source |
content[].well_id |
String |
Well UUID |
content[].well_name |
String |
Well name |
content[].well_type |
String |
Well type |
content[].changes |
Array |
List of changes |
content[].changes[].operation |
String |
Operation performed |
content[].changes[].object_id |
String |
Object UUID |
content[].changes[].object_type |
String |
Object type |
content[].changes[].object_name |
String |
Object name |
Delete virtual project
Delete virtual project by virtual project UUID
Request
$ curl 'https://solo.cloud/public/api/v1/projects/virtual/72fa4b85-8529-4380-a8c3-8b06f449b8b2' -i -X DELETE \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
DELETE /public/api/v1/projects/virtual/72fa4b85-8529-4380-a8c3-8b06f449b8b2 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 84d3706f94bcea44c0efb643627112cb
DELETE /public/api/v1/projects/virtual/{uuid}
| Path parameter | Description |
|---|---|
uuid |
Virtual project UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
Empty body
2. Laterals
Create lateral
Create lateral by project UUID
Request
$ curl 'https://solo.cloud/public/api/v1/projects/4eb7625b-9bf2-4d0f-9408-a6e169e001f1/wells' -i -X POST \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"name" : "Lateral name",
"operator" : "operator",
"api" : "api",
"convergence" : {
"val" : 90.0
},
"azimuth" : {
"val" : 45.0
},
"kb" : {
"val" : 0.3
},
"tieintvd" : {
"val" : 0.4
},
"tieinns" : {
"val" : 0.5
},
"tieinew" : {
"val" : 0.6
},
"xsrfreal" : {
"val" : 100.0
},
"ysrfreal" : {
"val" : 500.0
}
}'
POST /public/api/v1/projects/4eb7625b-9bf2-4d0f-9408-a6e169e001f1/wells HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 377
{
"name" : "Lateral name",
"operator" : "operator",
"api" : "api",
"convergence" : {
"val" : 90.0
},
"azimuth" : {
"val" : 45.0
},
"kb" : {
"val" : 0.3
},
"tieintvd" : {
"val" : 0.4
},
"tieinns" : {
"val" : 0.5
},
"tieinew" : {
"val" : 0.6
},
"xsrfreal" : {
"val" : 100.0
},
"ysrfreal" : {
"val" : 500.0
}
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 8882ab7a2e36196a0c247f7a04158d3a
Content-Type: application/json
{
"uuid" : "697ae158-0f4e-43d2-9a79-742bb650821c"
}
POST /public/api/v1/projects/{uuid}/wells
| Path parameter | Description |
|---|---|
uuid |
Project UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
name |
String |
Lateral name |
operator |
String |
Operator name |
api |
String |
API lateral number |
convergence.val |
Number |
Convergence |
azimuth.val |
Number |
AzimuthVS |
kb.val |
Number |
Kelly Bushing (KB) is the height of the Derek (drill rig) measured from the MSL |
tieintvd.val |
Number |
TieInTvd |
tieinns.val |
Number |
TieInNs |
tieinew.val |
Number |
TieInEw |
xsrfreal.val |
Number |
X surface wellbore coordinate |
ysrfreal.val |
Number |
Y surface wellbore coordinate |
Response body
| Path | Type | Description |
|---|---|---|
uuid |
String |
Created lateral UUID |
Get laterals by project
Get a list of laterals by project UUID with pagination
Request
$ curl 'https://solo.cloud/public/api/v1/projects/4eb7625b-9bf2-4d0f-9408-a6e169e001f1/wells?offset=0&limit=10&filter=oNe' -i -X GET \
-H 'Authorization: Bearer <your_access_token>'
GET /public/api/v1/projects/4eb7625b-9bf2-4d0f-9408-a6e169e001f1/wells?offset=0&limit=10&filter=oNe HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: d634177d8098e687d90f596305cee7e1
Content-Type: application/json
{
"content" : [ {
"uuid" : "b4ba1dba-a310-4e58-b965-d144da91da05",
"name" : "Lateral one",
"api" : "api lateral one",
"flags" : {
"has_logs" : false,
"has_topsets" : false,
"has_interpretations" : false,
"has_nested_wells" : false,
"has_mudlogs" : false,
"has_target_lines" : false
}
} ],
"offset" : 0,
"limit" : 10,
"total" : 1,
"first" : true,
"last" : true
}
GET /public/api/v1/projects/{uuid}/wells
| Path parameter | Description |
|---|---|
uuid |
Project UUID |
| Parameter | Description |
|---|---|
offset |
Index of the first record to return by a request from the list of all records |
limit |
Maximum number of records to return by a request from the list of all records, starting with 'offset' |
filter |
Filter laterals by the 'name' or 'api' fields. Case insensitive. |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
total |
Number |
Total number of records |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
content[].uuid |
String |
Lateral UUID |
content[].name |
String |
Lateral name |
content[].api |
String |
API lateral number |
content[].flags.has_logs |
Boolean |
Flag indicating the presence of logs |
content[].flags.has_topsets |
Boolean |
Flag indicating the presence of topsets |
content[].flags.has_interpretations |
Boolean |
Flag indicating the presence of interpretations |
content[].flags.has_nested_wells |
Boolean |
Flag indicating the presence of nested wells |
content[].flags.has_mudlogs |
Boolean |
Flag indicating the presence of mudlogs |
content[].flags.has_target_lines |
Boolean |
Flag indicating the presence of target lines |
Get laterals by API filter
Get a list of laterals by API filter with pagination
Request
$ curl 'https://solo.cloud/public/api/v1/wells/api-filtered?offset=0&limit=10&filter=lateral%20t' -i -X GET \
-H 'Authorization: Bearer <your_access_token>'
GET /public/api/v1/wells/api-filtered?offset=0&limit=10&filter=lateral%20t HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 80473bf29b6c0a5a6b645e456a73d8db
Content-Type: application/json
{
"content" : [ {
"uuid" : "593ba4e7-45a0-42fd-93e6-d8d8043ab889",
"name" : "Lateral two",
"api" : "api lateral two",
"flags" : {
"has_logs" : false,
"has_topsets" : false,
"has_interpretations" : false,
"has_nested_wells" : false,
"has_mudlogs" : false,
"has_target_lines" : false
},
"project_uuid" : "4eb7625b-9bf2-4d0f-9408-a6e169e001f1",
"project_role" : "MANAGER"
}, {
"uuid" : "c4445ac4-e9be-4b29-b7e0-a6a5a64665b7",
"name" : "Lateral three",
"api" : "api lateral three",
"flags" : {
"has_logs" : false,
"has_topsets" : false,
"has_interpretations" : false,
"has_nested_wells" : false,
"has_mudlogs" : false,
"has_target_lines" : false
},
"project_uuid" : "4eb7625b-9bf2-4d0f-9408-a6e169e001f1",
"project_role" : "MANAGER"
} ],
"offset" : 0,
"limit" : 10,
"total" : 2,
"first" : true,
"last" : true
}
GET /public/api/v1/wells/api-filtered
| Parameter | Description |
|---|---|
offset |
Index of the first record to return by a request from the list of all records |
limit |
Maximum number of records to return by a request from the list of all records, starting with 'offset' |
filter |
Filter laterals by the 'api' field. Case insensitive. |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
total |
Number |
Total number of records |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
content[].uuid |
String |
Lateral UUID |
content[].name |
String |
Lateral name |
content[].api |
String |
API lateral number |
content[].flags.has_logs |
Boolean |
Flag indicating the presence of logs |
content[].flags.has_topsets |
Boolean |
Flag indicating the presence of topsets |
content[].flags.has_interpretations |
Boolean |
Flag indicating the presence of interpretations |
content[].flags.has_nested_wells |
Boolean |
Flag indicating the presence of nested wells |
content[].flags.has_mudlogs |
Boolean |
Flag indicating the presence of mudlogs |
content[].flags.has_target_lines |
Boolean |
Flag indicating the presence of target lines |
content[].project_uuid |
String |
Project UUID |
content[].project_role |
String |
Role |
Get lateral metadata
Get lateral metadata
Request
$ curl 'https://solo.cloud/public/api/v1/wells/c4445ac4-e9be-4b29-b7e0-a6a5a64665b7' -i -X GET \
-H 'Authorization: Bearer <your_access_token>'
GET /public/api/v1/wells/c4445ac4-e9be-4b29-b7e0-a6a5a64665b7 HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 40d6188acbdb9981786830eccb18365f
Content-Type: application/json
{
"uuid" : "c4445ac4-e9be-4b29-b7e0-a6a5a64665b7",
"name" : "Lateral three",
"operator" : "string",
"api" : "api lateral three",
"xsrf" : {
"val" : 19.68503937007874
},
"ysrf" : {
"val" : 32.808398950131235
},
"kb" : {
"val" : 22.96587926509186
},
"convergence" : {
"val" : 0.0
},
"azimuth" : {
"val" : 0.0
},
"tie_in_tvd" : {
"val" : 0.0
},
"tie_in_ns" : {
"val" : 3.280839895013123
},
"tie_in_ew" : {
"val" : 0.0
}
}
GET /public/api/v1/wells/{uuid}
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
uuid |
String |
Lateral UUID |
name |
String |
Lateral name |
operator |
String |
Operator name |
api |
String |
API lateral number |
xsrf.val |
Number |
X surface coordinate |
ysrf.val |
Number |
Y surface coordinate |
kb.val |
Number |
Kelly Bushing (KB) is the height of the Derek (drill rig) measured from the MSL |
azimuth.val |
Number |
AzimuthVS |
convergence.val |
Number |
Convergence |
tie_in_tvd.val |
Number |
Tie in tvd coordinates |
tie_in_ns.val |
Number |
Tie in NS |
tie_in_ew.val |
Number |
Tie in EW |
last_feed_stream_date |
String |
Timestamp of last update by Solo Feed |
Get lateral ellipses
Get lateral ellipses data by lateral UUID
Request
$ curl 'https://solo.cloud/public/api/v1/laterals/03532cbb-4119-4438-82e0-a2f451489848/ellipses' -i -X GET \
-H 'Authorization: Bearer <your_access_token>'
GET /public/api/v1/laterals/03532cbb-4119-4438-82e0-a2f451489848/ellipses HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 575f709c8773a3021aaddf1425bea4c8
Content-Type: application/json
{
"content" : [ {
"index" : 10.0,
"value" : {
"nev" : [ 14.99, 98.23, 41.2, 67.78, 23.89, 12.31, 55.43, 11.23, 34.33 ],
"messages" : [ ]
}
} ]
}
GET /public/api/v1/laterals/{lateralUuid}/ellipses
| Path parameter | Description |
|---|---|
lateralUuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Ellipses points array |
content[].index |
Number |
Measured Depth value |
content[].value.nev |
Array |
Ellipse attributes |
content[].value.messages |
Array |
Comments |
Get starred objects
Get starred objects by lateral UUID
Request
$ curl 'https://solo.cloud/public/api/v1/wells/3b68702b-bb23-44d3-868a-93263ed750c4/starred' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/wells/3b68702b-bb23-44d3-868a-93263ed750c4/starred HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: d39b42339c15acf5cd4446095d7f6b32
Content-Type: application/json
{
"target_line" : "91c33efe-0eba-420a-ac0c-e4703ce1c962",
"nested_well" : "ea82d296-ce6b-4ed9-8945-45807a1cb359",
"interpretation" : "d772c9ba-3b27-4985-a078-474ec48d685a",
"topset" : "b3a8da9d-3213-4a44-a01d-c549c1f18df1"
}
GET /public/api/v1/wells/{uuid}/starred
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
target_line |
String |
Starred target line UUID |
nested_well |
String |
Starred nested well UUID |
interpretation |
String |
Starred interpretation UUID |
topset |
String |
Starred topset UUID |
Get linked typewells
Get linked typewells by lateral UUID
Request
$ curl 'https://solo.cloud/public/api/v1/wells/5a42a2fa-3bef-4335-939f-0474aca5dbe6/linked?offset=0&limit=10' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/wells/5a42a2fa-3bef-4335-939f-0474aca5dbe6/linked?offset=0&limit=10 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: d2d875c1fa0bd47396eb33f57c96e454
Content-Type: application/json
{
"content" : [ {
"shift" : {
"val" : 1640.4199475065616
},
"typewell_id" : "54ff71df-487c-4da8-ad61-24308d0d91f2"
} ],
"offset" : 0,
"limit" : 10,
"total" : 1,
"first" : true,
"last" : true
}
GET /public/api/v1/wells/{uuid}/linked
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Parameter | Description |
|---|---|
offset |
Index of the first record to return by a request from the list of all records |
limit |
Maximum number of records to return by a request from the list of all records, starting with 'offset' |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
total |
Number |
Total number of records |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
content[].shift.val |
Number |
Typewell shift |
content[].typewell_id |
String |
Typewell UUID |
Get bit projection
Get bit projection by lateral UUID
Request
$ curl 'https://solo.cloud/public/api/v1/wells/2a9eb4e6-c4e4-4bec-879e-1b5bb2a75b81/bitprojection' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/wells/2a9eb4e6-c4e4-4bec-879e-1b5bb2a75b81/bitprojection HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: ff723ce29e50cd9554cd3c68eac10b86
Content-Type: application/json
{
"mode" : "CALCULATED",
"sub_mode" : "DLS_TF",
"distance_to_bit" : {
"val" : 30.0
},
"dls" : {
"val" : 9.499999999999998
},
"tool_face" : {
"val" : 120.49999999999999
},
"continuous_inclination_log" : "00000000-0000-0000-0000-000000000000",
"last_log_point_log" : "00000000-0000-0000-0000-000000000000"
}
GET /public/api/v1/wells/{uuid}/bitprojection
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
mode |
String |
Can be [OFF, CALCULATED, PREDEFINED] |
sub_mode |
String |
Can be [TREND, DLS_TF, CONT_INCL_LOG] |
distance_to_bit.val |
Number |
Distance to Bit (range [0; 100000]) |
dls.val |
Number |
Dogleg Severity value (range [0; 60]) |
tool_face.val |
Number |
Tool face value (range [-180; 180]) |
continuous_inclination_log |
String |
Continuous inclination log UUID |
last_log_point_log |
String |
Last point log UUID |
Update lateral metadata
Update lateral metadata
Request
$ curl 'https://solo.cloud/public/api/v1/wells/b4ba1dba-a310-4e58-b965-d144da91da05' -i -X PATCH \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"name" : "Lateral name",
"api" : "api lateral",
"operator" : "string",
"xsrf" : {
"val" : 60.5
},
"ysrf" : {
"val" : 100.0
},
"kb" : {
"val" : 70.0
},
"azimuth" : {
"val" : 0.0
},
"convergence" : {
"val" : 0.0
},
"tie_in_tvd" : {
"val" : 0.0
},
"tie_in_ns" : {
"val" : 1.0
},
"tie_in_ew" : {
"val" : 0.0
}
}'
PATCH /public/api/v1/wells/b4ba1dba-a310-4e58-b965-d144da91da05 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 379
{
"name" : "Lateral name",
"api" : "api lateral",
"operator" : "string",
"xsrf" : {
"val" : 60.5
},
"ysrf" : {
"val" : 100.0
},
"kb" : {
"val" : 70.0
},
"azimuth" : {
"val" : 0.0
},
"convergence" : {
"val" : 0.0
},
"tie_in_tvd" : {
"val" : 0.0
},
"tie_in_ns" : {
"val" : 1.0
},
"tie_in_ew" : {
"val" : 0.0
}
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: ceed1ec3b7fc2fa34687cec4c0bc5d42
PATCH /public/api/v1/wells/{uuid}
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
name |
String |
Lateral name |
operator |
String |
Operator name |
api |
String |
API lateral number |
xsrf.val |
Number |
X surface coordinate |
ysrf.val |
Number |
Y surface coordinate |
kb.val |
Number |
Kelly Bushing (KB) is the height of the Derek (drill rig) measured from the MSL |
azimuth.val |
Number |
Well azimuth (degrees) |
convergence.val |
Number |
Convergence |
tie_in_tvd.val |
Number |
Tie in tvd coordinates |
tie_in_ns.val |
Number |
Tie in NS |
tie_in_ew.val |
Number |
Tie in EW |
Response body
Empty body
Set starred objects
Set starred objects by lateral UUID
Request
$ curl 'https://solo.cloud/public/api/v1/wells/3b68702b-bb23-44d3-868a-93263ed750c4/starred' -i -X PUT \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"targetline" : "91c33efe-0eba-420a-ac0c-e4703ce1c962",
"nestedwell" : "ea82d296-ce6b-4ed9-8945-45807a1cb359",
"interpretation" : "d772c9ba-3b27-4985-a078-474ec48d685a",
"topset" : "b3a8da9d-3213-4a44-a01d-c549c1f18df1"
}'
PUT /public/api/v1/wells/3b68702b-bb23-44d3-868a-93263ed750c4/starred HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 230
{
"targetline" : "91c33efe-0eba-420a-ac0c-e4703ce1c962",
"nestedwell" : "ea82d296-ce6b-4ed9-8945-45807a1cb359",
"interpretation" : "d772c9ba-3b27-4985-a078-474ec48d685a",
"topset" : "b3a8da9d-3213-4a44-a01d-c549c1f18df1"
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: c7d04b374f513532bf10ced198ae4d85
PUT /public/api/v1/wells/{uuid}/starred
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
targetline |
String |
Target line UUID to set starred (use "00000000-0000-0000-0000-000000000000" to reset) |
nestedwell |
String |
Nested well UUID to set starred (use "00000000-0000-0000-0000-000000000000" to reset) |
interpretation |
String |
Interpretation UUID to set starred (use "00000000-0000-0000-0000-000000000000" to reset) |
topset |
String |
Topset UUID to set starred (use "00000000-0000-0000-0000-000000000000" to reset) |
Response body
Empty body
Set bit projection
Set bit projection by lateral UUID
Request
$ curl 'https://solo.cloud/public/api/v1/wells/d0c26808-5407-42fe-9735-7bf7dd4d4699/bitprojection' -i -X PUT \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"mode" : "CALCULATED",
"sub_mode" : "DLS_TF",
"distance_to_bit" : {
"val" : 30.0
},
"dls" : {
"val" : 9.5
},
"tool_face" : {
"val" : 120.5
},
"last_log_point_log" : "00000000-0000-0000-0000-000000000000"
}'
PUT /public/api/v1/wells/d0c26808-5407-42fe-9735-7bf7dd4d4699/bitprojection HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 237
{
"mode" : "CALCULATED",
"sub_mode" : "DLS_TF",
"distance_to_bit" : {
"val" : 30.0
},
"dls" : {
"val" : 9.5
},
"tool_face" : {
"val" : 120.5
},
"last_log_point_log" : "00000000-0000-0000-0000-000000000000"
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: ba1ce5c777b0096f9622d9d6057cbc9f
PUT /public/api/v1/wells/{uuid}/bitprojection
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
mode |
String |
Can be [OFF, CALCULATED, PREDEFINED] |
sub_mode |
String |
Can be [TREND, DLS_TF, CONT_INCL_LOG] for CALCULATED mode |
distance_to_bit.val |
Number |
Distance to Bit (range [0; 100000]) |
dls.val |
Number |
Dogleg Severity value (range [0; 60]) |
tool_face.val |
Number |
Tool face value (range [-180; 180]) |
continuous_inclination_log |
String |
Continuous inclination log UUID |
last_log_point_log |
String |
Last point log UUID |
Response body
Empty body
Lock lateral
Lock lateral by UUID
Request
$ curl 'https://solo.cloud/public/api/v1/wells/c1f0afca-c536-4dc5-9323-b8867188eb19/lock' -i -X PATCH \
-H 'Authorization: Bearer <your_access_token>'
PATCH /public/api/v1/wells/c1f0afca-c536-4dc5-9323-b8867188eb19/lock HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 1bd7ef9185bead5ad39d76b038568159
PATCH /public/api/v1/wells/{uuid}/lock
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
Empty body
Unlock lateral
Unlock lateral by UUID
Request
$ curl 'https://solo.cloud/public/api/v1/wells/66ac5ba2-47bc-4bc4-a07c-7eafbac15881/unlock' -i -X PATCH \
-H 'Authorization: Bearer <your_access_token>'
PATCH /public/api/v1/wells/66ac5ba2-47bc-4bc4-a07c-7eafbac15881/unlock HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 6ce5d397252cb5107eb1450dd33cf70c
PATCH /public/api/v1/wells/{uuid}/unlock
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
Empty body
Delete lateral
Delete lateral by UUID
Request
$ curl 'https://solo.cloud/public/api/v1/wells/213ab729-306f-43b7-9ee4-86abd92985f5' -i -X DELETE \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
DELETE /public/api/v1/wells/213ab729-306f-43b7-9ee4-86abd92985f5 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 8bacbd13a277ce3a364f5ba6c9693637
DELETE /public/api/v1/wells/{uuid}
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
Empty body
3. Interpretations
Create interpretation
Create interpretation by lateral UUID
Request
$ curl 'https://solo.cloud/public/api/v1/wells/17a2e6c6-f21a-4f36-b72f-07b1f60d7884/interpretations' -i -X POST \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"name" : "Interpretation name"
}'
POST /public/api/v1/wells/17a2e6c6-f21a-4f36-b72f-07b1f60d7884/interpretations HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 36
{
"name" : "Interpretation name"
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: a945b44170697d8cb8b25fead10eb0eb
Content-Type: application/json
{
"uuid" : "6e1579d4-5851-4d36-a97e-9e6ade32ae6d"
}
POST /public/api/v1/wells/{uuid}/interpretations
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
name |
String |
Interpretation name |
Response body
| Path | Type | Description |
|---|---|---|
uuid |
String |
Created interpretation UUID |
Write interpretation segments in bulk
Create or overwrite one interpretation of the lateral with all its segments in a single request. Either the whole interpretation is written or nothing is, a refused request leaves the target as it was.
The target is addressed by uuid, or by name when uuid is omitted. An existing target gets its segments fully replaced and the response carries created: false. When no interpretation with such name exists, a new one is created as a copy of source_interpretation_uuid (horizons included, owner is the caller, privacy is taken from private) and the response carries created: true; source_interpretation_uuid is required in this case. Sending the same request twice therefore yields one interpretation written twice, so a retry is safe. Concurrent writes to one lateral are not supported, upload laterals in parallel but write each of them sequentially.
The interpretation name must start with the prefix configured on the server (AI_ by default), so a bulk write never overwrites an interpretation made by a user. It is at most 255 characters long, carries no control characters and neither starts nor ends with whitespace. A lateral holding several interpretations with the requested name is rejected with 400 listing their UUIDs, address the target by uuid instead. A locked target and a private interpretation of another user (as the target or as the source) are rejected with 403. The call requires both CREATE and UPDATE permissions on interpretations.
Segment rules:
- segments must be in strictly increasing
start_mdorder, everystart_mdmust lie within the trajectory MD range, gaps between consecutive segments and from the last segment to the trajectory end must be at least 0.1 ft; - a boundary between two segments is continuous when
|previous end_shift - start_shift| <= 0.01project units, the segment then starts from the previousend_shiftand the submittedstart_shiftis not used; - a larger step makes a fault, such segments are named
Fault1,Fault2, ... in the order they are written; - the first segment always keeps its
start_shift.
One request carries at most 10000 segments (a server setting), a larger request is rejected with 400 naming the limit. Segment values are in project units, the same as the other segment endpoints. Note that a segment is described by its start MD and the vertical shifts at its ends, not by the md, vs, dip and throw set of the per-segment endpoints.
Request
$ curl 'https://solo.cloud/public/api/v1/wells/9435ba5a-8790-4a0e-94ea-d921fecd498b/interpretations/bulk' -i -X PUT \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"name" : "AI_interpretation 1",
"source_interpretation_uuid" : "d95e8bef-77e8-4e05-bdd4-7e62a6976b0d",
"private" : false,
"segments" : [ {
"start_md" : 1000.0,
"start_shift" : 0.0,
"end_shift" : 2.5
}, {
"start_md" : 1500.0,
"start_shift" : 2.5,
"end_shift" : 4.0
} ]
}'
PUT /public/api/v1/wells/9435ba5a-8790-4a0e-94ea-d921fecd498b/interpretations/bulk HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 307
{
"name" : "AI_interpretation 1",
"source_interpretation_uuid" : "d95e8bef-77e8-4e05-bdd4-7e62a6976b0d",
"private" : false,
"segments" : [ {
"start_md" : 1000.0,
"start_shift" : 0.0,
"end_shift" : 2.5
}, {
"start_md" : 1500.0,
"start_shift" : 2.5,
"end_shift" : 4.0
} ]
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: cf91fdf5b5871dbe5219e5a7daf1133b
Content-Type: application/json
{
"uuid" : "950a3420-05b4-462a-bb14-83e1bd9317c0",
"name" : "AI_interpretation 1",
"segments_written" : 2,
"created" : true
}
PUT /public/api/v1/wells/{uuid}/interpretations/bulk
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
name |
String |
Target interpretation name, at most 255 characters, no control characters, no whitespace at either end. Must start with the configured prefix (AI_ by default), otherwise the request is rejected with 400 |
uuid |
String |
Target interpretation UUID. When omitted, the target is looked up by name among the lateral's interpretations; when present, name must match the interpretation name |
source_interpretation_uuid |
String |
Interpretation of the same lateral the target is copied from, horizons included. Required only when the target does not exist yet and has to be created |
private |
Boolean |
Privacy of the created interpretation (false by default). Ignored when an existing interpretation is overwritten |
segments |
Array |
Segments to write in strictly increasing start_md order, the existing segments of the target are fully replaced |
segments[].start_md |
Number |
Segment start measured depth in project units, within the trajectory MD range |
segments[].start_shift |
Number |
Vertical shift at the segment start in project units. Used for the first segment and for a fault boundary only, otherwise the previous segment's end_shift is taken |
segments[].end_shift |
Number |
Vertical shift at the segment end in project units |
Response body
| Path | Type | Description |
|---|---|---|
uuid |
String |
Target interpretation UUID |
name |
String |
Target interpretation name |
segments_written |
Number |
Number of segments the interpretation holds after the write |
created |
Boolean |
true if the interpretation was created, false if an existing interpretation was overwritten |
Add interpretation segment
Add segment by interpretation UUID
Request
$ curl 'https://solo.cloud/public/api/v1/interpretations/81c213dd-9b11-467b-835a-1349475c6883/segments?horizontal_scale=MD' -i -X POST \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"uuid" : "cc999130-19e7-4c80-9ec5-1b04bbc0dd97",
"md" : {
"val" : 1500.0
},
"vs" : {
"val" : 750.0
},
"dip" : {
"val" : 30.0
},
"dip_equal_thickness" : false,
"throw" : {
"val" : 15.0
},
"throw_equal_thickness" : false
}'
POST /public/api/v1/interpretations/81c213dd-9b11-467b-835a-1349475c6883/segments?horizontal_scale=MD HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 260
{
"uuid" : "cc999130-19e7-4c80-9ec5-1b04bbc0dd97",
"md" : {
"val" : 1500.0
},
"vs" : {
"val" : 750.0
},
"dip" : {
"val" : 30.0
},
"dip_equal_thickness" : false,
"throw" : {
"val" : 15.0
},
"throw_equal_thickness" : false
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 1eb4b999975cc6b22e8dd1031451619f
POST /public/api/v1/interpretations/{uuid}/segments
| Path parameter | Description |
|---|---|
uuid |
Interpretation UUID |
| Parameter | Description |
|---|---|
horizontal_scale |
Horizontal scale for segment calculations. Available values: MD, THL, VS |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
uuid |
String |
Segment UUID |
md.val |
Number |
Measured depth value in project units |
vs.val |
Number |
Vertical section value in project units |
dip.val |
Number |
Dip value in degrees |
dip_equal_thickness |
Boolean |
If true, dip is calculated with equal thickness |
throw.val |
Number |
Throw value in project units |
throw_equal_thickness |
Boolean |
If true, throw is calculated with equal thickness |
Response body
Empty body
Get interpretations by lateral
Get a list of interpretations by lateral UUID with pagination
The list carries the public and locked interpretations of the lateral, and the private ones belonging to the caller - somebody else's private interpretation is not listed.
Request
$ curl 'https://solo.cloud/public/api/v1/wells/17a2e6c6-f21a-4f36-b72f-07b1f60d7884/interpretations?filter=test&offset=0&limit=20' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/wells/17a2e6c6-f21a-4f36-b72f-07b1f60d7884/interpretations?filter=test&offset=0&limit=20 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: bd316096a6eccbb07f8c23a743fa5830
Content-Type: application/json
{
"content" : [ {
"uuid" : "5e569f51-7993-4f39-b91e-c60c348d2b12",
"name" : "test interpretation 1",
"format" : {
"extension_grid_uuid" : "00000000-0000-0000-0000-000000000000",
"reverse_extension" : false
},
"mode" : "PUBLIC"
}, {
"uuid" : "85cae2bb-8eb9-475c-85b1-48225e383786",
"name" : "test interpretation 2",
"format" : {
"extension_grid_uuid" : "00000000-0000-0000-0000-000000000000",
"reverse_extension" : false
},
"mode" : "PUBLIC"
} ],
"offset" : 0,
"limit" : 20,
"total" : 2,
"first" : true,
"last" : true
}
GET /public/api/v1/wells/{uuid}/interpretations
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Parameter | Description |
|---|---|
offset |
Index of the first record to return by a request from the list of all records |
limit |
Maximum number of records to return by a request from the list of all records, starting with 'offset' |
filter |
Filter interpretations by the 'name' field. Case insensitive. |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
total |
Number |
Total number of records |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
content[].name |
String |
Interpretation name |
content[].uuid |
String |
Interpretation UUID |
content[].format.extension_grid_uuid |
String |
Extension grid UUID |
content[].format.reverse_extension |
Boolean |
Is it reverse extension or not |
content[].mode |
String |
PUBLIC, PRIVATE or LOCKED. A PRIVATE interpretation is listed only for its owner. |
Get segments by interpretation
Get a list of segments by interpretation UUID
Request
$ curl 'https://solo.cloud/public/api/v1/interpretations/23e480ba-e826-4fbf-a79a-e7ebda758145/segments?horizontal_scale=MD' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/interpretations/23e480ba-e826-4fbf-a79a-e7ebda758145/segments?horizontal_scale=MD HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: f1157fb58f7e7403427b0a13edddd4ed
Content-Type: application/json
{
"content" : [ {
"uuid" : "45cebb5c-3910-42e6-9c02-3ed381ce438a",
"md" : {
"val" : 0.0
},
"vs" : {
"val" : 3.280839895013123
},
"dip" : {
"val" : 97.19791814183668
},
"dip_equal_thickness" : false,
"throw_equal_thickness" : true,
"throw" : {
"val" : 0.0
}
}, {
"uuid" : "362e71e5-bfc1-49d1-be1a-9c00b6267596",
"md" : {
"val" : 328.0839895013123
},
"vs" : {
"val" : -0.615877064815856
},
"dip" : {
"val" : 90.00000000000594
},
"dip_equal_thickness" : true,
"throw_equal_thickness" : false,
"throw" : {
"val" : 0.49212598425196846
}
}, {
"uuid" : "52bb444b-acec-4753-bd82-56473036d801",
"md" : {
"val" : 1500.0000000000005
},
"vs" : {
"val" : -24.350204919093997
},
"dip" : {
"undefined" : true
},
"dip_equal_thickness" : false,
"throw_equal_thickness" : false,
"throw" : {
"undefined" : true
}
} ]
}
GET /public/api/v1/interpretations/{uuid}/segments
| Path parameter | Description |
|---|---|
uuid |
Interpretation UUID |
| Parameter | Description |
|---|---|
horizontal_scale |
Horizontal scale for segment calculations. Available values: MD, THL, VS |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
content[].uuid |
String |
Segment UUID |
content[].md.val |
Number |
Measured depth value in project units |
content[].vs.val |
Number |
Vertical section value in project units |
content[].dip.val |
Number |
Dip value in degrees |
content[].dip.undefined |
Boolean |
If true, dip value is undefined |
content[].dip_equal_thickness |
Boolean |
If true, dip is calculated with equal thickness |
content[].throw.val |
Number |
Throw value in project units |
content[].throw.undefined |
Boolean |
If true, throw value is undefined |
content[].throw_equal_thickness |
Boolean |
If true, throw is calculated with equal thickness |
Get starred objects
Get starred objects by interpretation UUID
Request
$ curl 'https://solo.cloud/public/api/v1/interpretations/c359c201-7139-4566-aa9b-75d8b210e268/starred' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/interpretations/c359c201-7139-4566-aa9b-75d8b210e268/starred HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 3adac3636516b0f6a4051b61977f6297
Content-Type: application/json
{
"top" : "c9d43d2f-c7f5-4610-8e6e-f26eb7f4c783",
"center" : "4a4bc914-81be-41e2-9fb3-26a78bddd9b6",
"bottom" : "ab277904-6bca-4ce0-b94c-014e4fa54b5a"
}
GET /public/api/v1/interpretations/{uuid}/starred
| Path parameter | Description |
|---|---|
uuid |
Interpretation UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
top |
String |
Starred top horizon UUID |
center |
String |
Starred center horizon UUID |
bottom |
String |
Starred bottom horizon UUID |
Set starred objects
Set starred objects by interpretation UUID
Request
$ curl 'https://solo.cloud/public/api/v1/interpretations/c359c201-7139-4566-aa9b-75d8b210e268/starred' -i -X PUT \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"top" : "c9d43d2f-c7f5-4610-8e6e-f26eb7f4c783",
"center" : "4a4bc914-81be-41e2-9fb3-26a78bddd9b6",
"bottom" : "ab277904-6bca-4ce0-b94c-014e4fa54b5a"
}'
PUT /public/api/v1/interpretations/c359c201-7139-4566-aa9b-75d8b210e268/starred HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 158
{
"top" : "c9d43d2f-c7f5-4610-8e6e-f26eb7f4c783",
"center" : "4a4bc914-81be-41e2-9fb3-26a78bddd9b6",
"bottom" : "ab277904-6bca-4ce0-b94c-014e4fa54b5a"
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 5f50fd1874676bc95bdebcae04bc0cc6
PUT /public/api/v1/interpretations/{uuid}/starred
| Path parameter | Description |
|---|---|
uuid |
Interpretation UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
top |
String |
Horizon UUID to be set as starred top (use "00000000-0000-0000-0000-000000000000" to reset) |
center |
String |
Horizon UUID to be set as starred center (use "00000000-0000-0000-0000-000000000000" to reset) |
bottom |
String |
Horizon UUID to be set as starred bottom (use "00000000-0000-0000-0000-000000000000" to reset) |
Response body
Empty body
Get auto-typewells by interpretation
Get a list of auto-typewells by interpretation UUID
Request
$ curl 'https://solo.cloud/public/api/v1/interpretations/fac5898a-c617-4906-9c1a-b163924e97ec/autotypewells' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/interpretations/fac5898a-c617-4906-9c1a-b163924e97ec/autotypewells HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 96d2a71051531e8eb38df94c3a415bab
Content-Type: application/json
{
"content" : [ {
"auto_typewell_uuid" : "f5894f3c-f670-472f-b010-3f8030a7aa8b"
} ]
}
GET /public/api/v1/interpretations/{uuid}/autotypewells
| Path parameter | Description |
|---|---|
uuid |
Interpretation UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
content[].auto_typewell_uuid |
String |
Auto-typewell UUID |
Modify interpretation segment
Modify segment by interpretation UUID
Request
$ curl 'https://solo.cloud/public/api/v1/interpretations/4be34606-a919-487d-b5a6-a87da512ebe6/segments?horizontal_scale=MD' -i -X PATCH \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"uuid" : "0f227676-9627-4b68-b2a2-7c543cf5b922",
"md" : {
"val" : 1500.0
},
"vs" : {
"val" : 750.0
},
"dip" : {
"val" : 60.0
},
"dip_equal_thickness" : false,
"throw" : {
"val" : 25.0
},
"throw_equal_thickness" : true
}'
PATCH /public/api/v1/interpretations/4be34606-a919-487d-b5a6-a87da512ebe6/segments?horizontal_scale=MD HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 259
{
"uuid" : "0f227676-9627-4b68-b2a2-7c543cf5b922",
"md" : {
"val" : 1500.0
},
"vs" : {
"val" : 750.0
},
"dip" : {
"val" : 60.0
},
"dip_equal_thickness" : false,
"throw" : {
"val" : 25.0
},
"throw_equal_thickness" : true
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: e7328f99a812f11c0c311c223d728bd2
PATCH /public/api/v1/interpretations/{uuid}/segments
| Path parameter | Description |
|---|---|
uuid |
Interpretation UUID |
| Parameter | Description |
|---|---|
horizontal_scale |
Horizontal scale for segment calculations. Available values: MD, THL, VS |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
uuid |
String |
Segment UUID |
md.val |
Number |
Measured depth value in project units |
vs.val |
Number |
Vertical section value in project units |
dip.val |
Number |
Dip value in degrees |
dip_equal_thickness |
Boolean |
If true, dip is calculated with equal thickness |
throw.val |
Number |
Throw value in project units |
throw_equal_thickness |
Boolean |
If true, throw is calculated with equal thickness |
Response body
Empty body
Delete interpretation segment
Delete segment by interpretation UUID
Request
$ curl 'https://solo.cloud/public/api/v1/interpretations/dcb97e62-dde2-4356-989c-65149a233272/segments/03752249-1af2-4c6c-8690-5e4234c5a8d1' -i -X DELETE \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
DELETE /public/api/v1/interpretations/dcb97e62-dde2-4356-989c-65149a233272/segments/03752249-1af2-4c6c-8690-5e4234c5a8d1 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: b3e76f8aa579426687b20a912724e406
DELETE /public/api/v1/interpretations/{uuid}/segments/{segmentUuid}
| Path parameter | Description |
|---|---|
uuid |
Interpretation UUID |
segmentUuid |
Segment UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
Empty body
Lock interpretation
Lock interpretation by UUID
Request
$ curl 'https://solo.cloud/public/api/v1/interpretations/7dbf1bdc-6184-4751-9c01-eed43b8c5beb/lock' -i -X PATCH \
-H 'Authorization: Bearer <your_access_token>'
PATCH /public/api/v1/interpretations/7dbf1bdc-6184-4751-9c01-eed43b8c5beb/lock HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 6c540b3a1f53e1f98c1fccd95e795936
PATCH /public/api/v1/interpretations/{uuid}/lock
| Path parameter | Description |
|---|---|
uuid |
Interpretation UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
Empty body
Unlock interpretation
Unlock interpretation by UUID
Request
$ curl 'https://solo.cloud/public/api/v1/interpretations/34cfb655-52a1-469c-b3a0-25e1f6945dd3/unlock' -i -X PATCH \
-H 'Authorization: Bearer <your_access_token>'
PATCH /public/api/v1/interpretations/34cfb655-52a1-469c-b3a0-25e1f6945dd3/unlock HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 962a91494b3ef773f1bfece0aa79e908
PATCH /public/api/v1/interpretations/{uuid}/unlock
| Path parameter | Description |
|---|---|
uuid |
Interpretation UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
Empty body
4. Horizons
Get horizons metadata
Get a list of horizons by interpretation UUID with pagination
Request
$ curl 'https://solo.cloud/public/api/v1/interpretations/92ab4a4e-1e9c-4dd4-901f-ad7e90159457/horizons?filter=tEst&offset=0&limit=20' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/interpretations/92ab4a4e-1e9c-4dd4-901f-ad7e90159457/horizons?filter=tEst&offset=0&limit=20 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 6f5c3645de3ab4d01d7435bb972e7296
Content-Type: application/json
{
"content" : [ {
"name" : "Test horizon 1",
"uuid" : "45b3df2a-63f8-4d95-834e-ef07a2222ccd"
}, {
"name" : "Test horizon 2",
"uuid" : "f8e05b85-3c00-4a12-96c7-c175c3423ec9"
}, {
"name" : "Test horizon 3",
"uuid" : "0ae4d960-bdc7-43ae-ac51-4856e032163b"
} ],
"offset" : 0,
"limit" : 20,
"total" : 3,
"first" : true,
"last" : true
}
GET /public/api/v1/interpretations/{uuid}/horizons
| Path parameter | Description |
|---|---|
uuid |
Interpretation UUID |
| Parameter | Description |
|---|---|
offset |
Index of the first record to return by a request from the list of all records |
limit |
Maximum number of records to return by a request from the list of all records, starting with 'offset' |
filter |
Filter horizons by the 'name' field. Case insensitive. |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
total |
Number |
Total number of records |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
content[].name |
String |
Horizon name |
content[].uuid |
String |
Horizon UUID |
Get horizons data by interpretation
Get calculated horizons data by interpretation UUID
Request
$ curl 'https://solo.cloud/public/api/v1/interpretations/152e40e6-4aac-461e-a6ba-4ee5897e8db2/horizons/data/spacing/5000' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/interpretations/152e40e6-4aac-461e-a6ba-4ee5897e8db2/horizons/data/spacing/5000 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 43fd2a729c699da368aa5990b3f92963
Content-Type: application/json
{
"content" : [ {
"azimuth" : {
"val" : 71.543
},
"horizons" : [ {
"name" : "!new Hor",
"tvdss" : {
"val" : 22.965879265091868
},
"uuid" : "f40e9d1e-f35a-469f-bf55-bb9e28539a42"
}, {
"name" : "Horizon1",
"tvdss" : {
"val" : -3257.8740157480324
},
"uuid" : "931e5269-c0b7-40fd-a1c2-471b00ddd55e"
} ],
"inclination" : {
"val" : 0
},
"kb" : {
"val" : 22.965879265091868
},
"md" : {
"val" : 0
},
"tvt" : {
"val" : 0
},
"vs_azim" : {
"azimuth" : {
"val" : 0
},
"vs" : {
"val" : 3.280839895013124
}
},
"well_name" : "Lateral",
"x" : {
"val" : 19.68503937007874
},
"y" : {
"val" : 36.08923884514436
},
"z" : {
"val" : 22.965879265091868
}
}, {
"azimuth" : {
"val" : 149.253
},
"horizons" : [ {
"name" : "!new Hor",
"tvdss" : {
"val" : 22.965879265091868
},
"uuid" : "f40e9d1e-f35a-469f-bf55-bb9e28539a42"
}, {
"name" : "Horizon1",
"tvdss" : {
"val" : -3257.8740157480324
},
"uuid" : "931e5269-c0b7-40fd-a1c2-471b00ddd55e"
} ],
"inclination" : {
"val" : 1.33
},
"kb" : {
"val" : 22.965879265091868
},
"md" : {
"val" : 3280.839895013124
},
"tvt" : {
"val" : 3280.0196063852154
},
"vs_azim" : {
"azimuth" : {
"val" : 0
},
"vs" : {
"val" : -60.07861128428071
}
},
"well_name" : "Lateral",
"x" : {
"val" : 53.715600823725445
},
"y" : {
"val" : -27.270212334149477
},
"z" : {
"val" : -3257.0537271201238
}
} ]
}
GET /public/api/v1/interpretations/{uuid}/horizons/data/spacing/{spacing}
| Path parameter | Description |
|---|---|
uuid |
Interpretation UUID |
spacing |
Spacing value |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content[].azimuth.val |
Number |
Well azimuth (degrees) |
content[].inclination.val |
Number |
Well inclination (degrees) |
content[].kb.val |
Number |
KB (project units) |
content[].md.val |
Number |
MD (project units) |
content[].tvt.val |
Number |
TVT (project units) |
content[].well_name |
String |
Well name |
content[].x.val |
Number |
X (project units) |
content[].y.val |
Number |
Y (project units) |
content[].z.val |
Number |
Z (project units) |
content[].vs_azim.azimuth.val |
Number |
Well azimuth VS (degrees) |
content[].vs_azim.vs.val |
Number |
VS (project units) |
content[].horizons[].name |
String |
Horizon name |
content[].horizons[].tvdss.val |
Number |
TVDSS (project units) |
content[].horizons[].uuid |
String |
Horizon UUID |
Get horizons data by lateral
Get calculated horizons data by lateral UUID with pagination (one element per page)
Request
$ curl 'https://solo.cloud/public/api/v1/wells/31fa2e70-9dca-44a8-bcc1-0dc8bd6590a0/horizons/data/spacing/5000?offset=0' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/wells/31fa2e70-9dca-44a8-bcc1-0dc8bd6590a0/horizons/data/spacing/5000?offset=0 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: f165763d8dcbd0b1b2468bb7a6154a8b
Content-Type: application/json
{
"content" : [ {
"azimuth" : {
"val" : 71.543
},
"horizons" : [ {
"name" : "!new Hor",
"tvdss" : {
"val" : 22.965879265091868
},
"uuid" : "f40e9d1e-f35a-469f-bf55-bb9e28539a42"
}, {
"name" : "Horizon1",
"tvdss" : {
"val" : -3257.8740157480324
},
"uuid" : "931e5269-c0b7-40fd-a1c2-471b00ddd55e"
} ],
"inclination" : {
"val" : 0
},
"kb" : {
"val" : 22.965879265091868
},
"md" : {
"val" : 0
},
"tvt" : {
"val" : 0
},
"vs_azim" : {
"azimuth" : {
"val" : 0
},
"vs" : {
"val" : 3.280839895013124
}
},
"well_name" : "Lateral",
"x" : {
"val" : 19.68503937007874
},
"y" : {
"val" : 36.08923884514436
},
"z" : {
"val" : 22.965879265091868
}
}, {
"azimuth" : {
"val" : 149.253
},
"horizons" : [ {
"name" : "!new Hor",
"tvdss" : {
"val" : 22.965879265091868
},
"uuid" : "f40e9d1e-f35a-469f-bf55-bb9e28539a42"
}, {
"name" : "Horizon1",
"tvdss" : {
"val" : -3257.8740157480324
},
"uuid" : "931e5269-c0b7-40fd-a1c2-471b00ddd55e"
} ],
"inclination" : {
"val" : 1.33
},
"kb" : {
"val" : 22.965879265091868
},
"md" : {
"val" : 3280.839895013124
},
"tvt" : {
"val" : 3280.0196063852154
},
"vs_azim" : {
"azimuth" : {
"val" : 0
},
"vs" : {
"val" : -60.07861128428071
}
},
"well_name" : "Lateral",
"x" : {
"val" : 53.715600823725445
},
"y" : {
"val" : -27.270212334149477
},
"z" : {
"val" : -3257.0537271201238
}
} ],
"interpretation" : {
"name" : "Interpretation",
"uuid" : "152e40e6-4aac-461e-a6ba-4ee5897e8db2"
},
"offset" : 0,
"limit" : 1,
"total" : 1,
"first" : true,
"last" : true
}
GET /public/api/v1/wells/{uuid}/horizons/data/spacing/{spacing}
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
spacing |
Spacing value |
| Parameter | Description |
|---|---|
offset |
Each value corresponds to an ordinal index (0 .. N, where N - the total number of interpretations in specified well) of a separate interpretation with its calculated horizons range |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
total |
Number |
Total number of records |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
content[].azimuth.val |
Number |
Well azimuth (degrees) |
content[].inclination.val |
Number |
Well inclination (degrees) |
content[].kb.val |
Number |
KB (project units) |
content[].md.val |
Number |
MD (project units) |
content[].tvt.val |
Number |
TVT (project units) |
content[].well_name |
String |
Well name |
content[].x.val |
Number |
X (project units) |
content[].y.val |
Number |
Y (project units) |
content[].z.val |
Number |
Z (project units) |
content[].vs_azim.azimuth.val |
Number |
Well azimuth VS (degrees) |
content[].vs_azim.vs.val |
Number |
VS (project units) |
content[].horizons[].name |
String |
Horizon name |
content[].horizons[].tvdss.val |
Number |
TVDSS (project units) |
content[].horizons[].uuid |
String |
Horizon UUID |
interpretation.name |
String |
Interpretation name |
interpretation.uuid |
String |
Interpretation UUID |
5. Nested wells
Create nested well
Create nested well. Another term for a Nested well is a well plan. It's often referred to as a 'well plan object' in StarSteer and Solo
Request
$ curl 'https://solo.cloud/public/api/v1/wells/06238c84-3457-49f5-a2c4-8d6068aff827/nestedwells' -i -X POST \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"name" : "Nested well name",
"operator" : "operator",
"api" : "api",
"xsrf" : {
"val" : 0.1
},
"ysrf" : {
"val" : 0.2
},
"kb" : {
"val" : 0.3
},
"tie_in_tvd" : {
"val" : 0.4
},
"tie_in_ns" : {
"val" : 0.5
},
"tie_in_ew" : {
"val" : 0.6
}
}'
POST /public/api/v1/wells/06238c84-3457-49f5-a2c4-8d6068aff827/nestedwells HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 295
{
"name" : "Nested well name",
"operator" : "operator",
"api" : "api",
"xsrf" : {
"val" : 0.1
},
"ysrf" : {
"val" : 0.2
},
"kb" : {
"val" : 0.3
},
"tie_in_tvd" : {
"val" : 0.4
},
"tie_in_ns" : {
"val" : 0.5
},
"tie_in_ew" : {
"val" : 0.6
}
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: afdd69feff5e3b09d20a8e7a4f70dd9d
Content-Type: application/json
{
"uuid" : "b03e5610-872f-465c-918c-4d01163c3124"
}
POST /public/api/v1/wells/{uuid}/nestedwells
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
name |
String |
Nested well name |
operator |
String |
Operator name |
api |
String |
Wellbore identifier |
xsrf.val |
Number |
X surface wellbore coordinate |
ysrf.val |
Number |
Y surface wellbore coordinate |
kb.val |
Number |
Kelly Bushing (KB) is the height of the Derek (drill rig) measured from the MSL |
tie_in_ew.val |
Number |
TieInEw |
tie_in_ns.val |
Number |
TieInNs |
tie_in_tvd.val |
Number |
TieInTvd |
Response body
| Path | Type | Description |
|---|---|---|
uuid |
String |
Created nested well UUID |
Get nested wells by lateral
Get a list of nested wells by lateral UUID with pagination
Request
$ curl 'https://solo.cloud/public/api/v1/wells/8ed7e23c-5720-4a66-9b02-035119cb54da/nestedwells?offset=0&limit=10&filter=oNe' -i -X GET \
-H 'Authorization: Bearer <your_access_token>'
GET /public/api/v1/wells/8ed7e23c-5720-4a66-9b02-035119cb54da/nestedwells?offset=0&limit=10&filter=oNe HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 8c8102a3b268f1ccc22dae51636b6f1f
Content-Type: application/json
{
"content" : [ {
"uuid" : "2a46d5ef-11ee-44aa-af35-9b9d5f809679",
"name" : "Nested well one",
"api" : "api nested well",
"flags" : {
"has_topsets" : false
}
} ],
"offset" : 0,
"limit" : 10,
"total" : 1,
"first" : true,
"last" : true
}
GET /public/api/v1/wells/{uuid}/nestedwells
| Path parameter | Description |
|---|---|
uuid |
Lateral UUID |
| Parameter | Description |
|---|---|
offset |
Index of the first record to return by a request from the list of all records |
limit |
Maximum number of records to return by a request from the list of all records, starting with 'offset' |
filter |
Filter nested wells by the 'name' or 'api' fields. Case insensitive. |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
total |
Number |
Total number of records |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
content[].uuid |
String |
Nested well UUID |
content[].name |
String |
Nested well name |
content[].api |
String |
API nested well number |
content[].flags.has_topsets |
Boolean |
Flag indicating the presence of topsets |
Get nested well metadata
Get nested well metadata data by UUID
Request
$ curl 'https://solo.cloud/public/api/v1/nestedwells/0b70f38f-098c-4e45-8613-f1a379861596' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/nestedwells/0b70f38f-098c-4e45-8613-f1a379861596 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: c4cb103c1d5ad5f0bab33f394be89049
Content-Type: application/json
{
"name" : "Nested well one",
"operator" : "string",
"api" : "api nested well",
"xsrf" : {
"val" : 6.0
},
"ysrf" : {
"val" : 10.0
},
"kb" : {
"val" : 22.96587926509186
},
"tie_in_tvd" : {
"val" : 0.0
},
"tie_in_ns" : {
"val" : 3.280839895013123
},
"tie_in_ew" : {
"val" : 0.0
}
}
GET /public/api/v1/nestedwells/{uuid}
| Path parameter | Description |
|---|---|
uuid |
Nested well UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
name |
String |
Lateral name |
operator |
String |
Operator name |
api |
String |
API lateral number |
xsrf.val |
Number |
X surface coordinate |
ysrf.val |
Number |
Y surface coordinate |
kb.val |
Number |
Kelly Bushing (KB) is the height of the Derek (drill rig) measured from the MSL |
tie_in_tvd.val |
Number |
Tie in tvd coordinates |
tie_in_ns.val |
Number |
Tie in NS |
tie_in_ew.val |
Number |
Tie in EW |
corridor_top.val |
Number |
Corridor Top value |
corridor_base.val |
Number |
Corridor Base value |
Get nested well ellipses
Get nested well ellipses data by nested well UUID
Request
$ curl 'https://solo.cloud/public/api/v1/nestedwells/62488021-8565-4b86-8a2e-def80b1ad8b1/ellipses' -i -X GET \
-H 'Authorization: Bearer <your_access_token>'
GET /public/api/v1/nestedwells/62488021-8565-4b86-8a2e-def80b1ad8b1/ellipses HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 87e803ba99c38304a8ccba299e6a18f1
Content-Type: application/json
{
"content" : [ {
"index" : 10.0,
"value" : {
"nev" : [ 14.99, 98.23, 41.2, 67.78, 23.89, 12.31, 55.43, 11.23, 34.33 ],
"messages" : [ ]
}
} ]
}
GET /public/api/v1/nestedwells/{nestedWellUuid}/ellipses
| Path parameter | Description |
|---|---|
nestedWellUuid |
Nested well UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Ellipses points array |
content[].index |
Number |
Measured Depth value |
content[].value.nev |
Array |
Ellipse attributes |
content[].value.messages |
Array |
Comments |
Get starred topset
Get starred topset by nested well UUID
Request
$ curl 'https://solo.cloud/public/api/v1/nestedwells/9e02c706-99a0-4773-a915-1c64dd6df6b8/starred' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/nestedwells/9e02c706-99a0-4773-a915-1c64dd6df6b8/starred HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 33ae7a2fc7f9703fba08b4abb3dd8c74
Content-Type: application/json
{
"topset" : "0cfcaec8-e098-4880-982c-aa422539caab"
}
GET /public/api/v1/nestedwells/{uuid}/starred
| Path parameter | Description |
|---|---|
uuid |
Nested well UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
topset |
String |
Starred topset UUID |
Update nested well metadata
Update nested well metadata
Request
$ curl 'https://solo.cloud/public/api/v1/nestedwells/9400e945-e158-408d-b2d8-aa89dd2da367' -i -X PATCH \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"name" : "Nested well new name",
"api" : "api nested well",
"operator" : "string",
"xsrf" : {
"val" : 6.0
},
"ysrf" : {
"val" : 10.0
},
"kb" : {
"val" : 7.0
},
"tie_in_tvd" : {
"val" : 0.0
},
"tie_in_ns" : {
"val" : 1.0
},
"tie_in_ew" : {
"val" : 0.0
}
}'
PATCH /public/api/v1/nestedwells/9400e945-e158-408d-b2d8-aa89dd2da367 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 310
{
"name" : "Nested well new name",
"api" : "api nested well",
"operator" : "string",
"xsrf" : {
"val" : 6.0
},
"ysrf" : {
"val" : 10.0
},
"kb" : {
"val" : 7.0
},
"tie_in_tvd" : {
"val" : 0.0
},
"tie_in_ns" : {
"val" : 1.0
},
"tie_in_ew" : {
"val" : 0.0
}
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 5b401c76fd246809fb177e3ce2906fd2
PATCH /public/api/v1/nestedwells/{uuid}
| Path parameter | Description |
|---|---|
uuid |
Nested well UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
name |
String |
Nested well name |
operator |
String |
Operator name |
api |
String |
API nested well number |
xsrf.val |
Number |
X surface coordinate |
xsrf.undefined |
Boolean |
If true then X surface coordinate will be set as parent |
ysrf.val |
Number |
Y surface coordinate |
ysrf.undefined |
Boolean |
If true then Y surface coordinate will be set as parent |
kb.val |
Number |
Kelly Bushing (KB) is the height of the Derek (drill rig) measured from the MSL |
kb.undefined |
Boolean |
If true then KB will be set as parent |
tie_in_tvd.val |
Number |
Tie in TVD |
tie_in_tvd.undefined |
Boolean |
If true then tie in TVD will be set undefined |
tie_in_ns.val |
Number |
Tie in NS |
tie_in_ns.undefined |
Boolean |
If true then tie in NS will be set undefined |
tie_in_ew.val |
Number |
Tie in EW |
tie_in_ew.undefined |
Boolean |
If true then tie in EW will be set undefined |
Response body
Empty body
Set starred topset
Set starred topset by nested well UUID
Request
$ curl 'https://solo.cloud/public/api/v1/nestedwells/aabb503d-b9f4-43ee-87ac-88eaa3e6668f/starred' -i -X PUT \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"topset" : "3c7beae4-57d2-493e-a260-6ece0e2b2a24"
}'
PUT /public/api/v1/nestedwells/aabb503d-b9f4-43ee-87ac-88eaa3e6668f/starred HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 55
{
"topset" : "3c7beae4-57d2-493e-a260-6ece0e2b2a24"
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 1bfc33881eb2a3bbf8bfa23774ccd163
PUT /public/api/v1/nestedwells/{uuid}/starred
| Path parameter | Description |
|---|---|
uuid |
Nested well UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
topset |
String |
Topset UUID to set starred (use "00000000-0000-0000-0000-000000000000" to reset) |
Response body
Empty body
Lock nested well
Lock nested well by UUID
Request
$ curl 'https://solo.cloud/public/api/v1/nestedwells/9484e486-f904-41cd-83f2-68cafa34a033/lock' -i -X PATCH \
-H 'Authorization: Bearer <your_access_token>'
PATCH /public/api/v1/nestedwells/9484e486-f904-41cd-83f2-68cafa34a033/lock HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: dbcd2378d3a146fe3604270b99482ed1
PATCH /public/api/v1/nestedwells/{uuid}/lock
| Path parameter | Description |
|---|---|
uuid |
Nested well UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
Empty body
Unlock nested well
Unlock nested well by UUID
Request
$ curl 'https://solo.cloud/public/api/v1/nestedwells/6113c907-3b28-4934-bd76-4f860e6f78e8/unlock' -i -X PATCH \
-H 'Authorization: Bearer <your_access_token>'
PATCH /public/api/v1/nestedwells/6113c907-3b28-4934-bd76-4f860e6f78e8/unlock HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: c8118e1509447fb39ada778696bdf37b
PATCH /public/api/v1/nestedwells/{uuid}/unlock
| Path parameter | Description |
|---|---|
uuid |
Nested well UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
Empty body
Delete nested well
Delete nested well by UUID
Request
$ curl 'https://solo.cloud/public/api/v1/nestedwells/44b6b722-a9f4-4def-9b89-416ffab64002' -i -X DELETE \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
DELETE /public/api/v1/nestedwells/44b6b722-a9f4-4def-9b89-416ffab64002 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 822711d576be0797976ffddfcb4f8591
DELETE /public/api/v1/nestedwells/{uuid}
| Path parameter | Description |
|---|---|
uuid |
Nested well UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
Empty body
6. Typewells
Create typewell
Create typewell by project UUID
Request
$ curl 'https://solo.cloud/public/api/v1/projects/c80ed1fc-cf9b-472a-8506-54e3ae5519f0/typewells' -i -X POST \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json' \
-d '{
"name" : "Typewell name",
"operator" : "operator",
"api" : "api",
"convergence" : {
"val" : 90.0
},
"azimuth" : {
"val" : 45.0
},
"kb" : {
"val" : 0.3
},
"tieintvd" : {
"val" : 0.4
},
"tieinns" : {
"val" : 0.5
},
"tieinew" : {
"val" : 0.6
},
"xsrfreal" : {
"val" : 100.0
},
"ysrfreal" : {
"val" : 500.0
}
}'
POST /public/api/v1/projects/c80ed1fc-cf9b-472a-8506-54e3ae5519f0/typewells HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Content-Length: 378
{
"name" : "Typewell name",
"operator" : "operator",
"api" : "api",
"convergence" : {
"val" : 90.0
},
"azimuth" : {
"val" : 45.0
},
"kb" : {
"val" : 0.3
},
"tieintvd" : {
"val" : 0.4
},
"tieinns" : {
"val" : 0.5
},
"tieinew" : {
"val" : 0.6
},
"xsrfreal" : {
"val" : 100.0
},
"ysrfreal" : {
"val" : 500.0
}
}
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 605fa5987ce844f0011ce04f64bd64fa
Content-Type: application/json
{
"uuid" : "68de2f42-83c8-42ab-af89-ef6254654ef4"
}
POST /public/api/v1/projects/{uuid}/typewells
| Path parameter | Description |
|---|---|
uuid |
Project UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
| Body field | Type | Description |
|---|---|---|
name |
String |
Typewell name |
operator |
String |
Operator name |
api |
String |
API typewell number |
convergence.val |
Number |
Convergence |
azimuth.val |
Number |
AzimuthVS |
kb.val |
Number |
Kelly Bushing (KB) is the height of the Derek (drill rig) measured from the MSL |
tieintvd.val |
Number |
TieInTvd |
tieinns.val |
Number |
TieInNs |
tieinew.val |
Number |
TieInEw |
xsrfreal.val |
Number |
X surface wellbore coordinate |
ysrfreal.val |
Number |
Y surface wellbore coordinate |
Response body
| Path | Type | Description |
|---|---|---|
uuid |
String |
Created typewell UUID |
Get typewells by project
Get a list of typewells by project UUID with pagination
Request
$ curl 'https://solo.cloud/public/api/v1/projects/c80ed1fc-cf9b-472a-8506-54e3ae5519f0/typewells?offset=0&limit=10&filter=oNe' -i -X GET \
-H 'Authorization: Bearer <your_access_token>'
GET /public/api/v1/projects/c80ed1fc-cf9b-472a-8506-54e3ae5519f0/typewells?offset=0&limit=10&filter=oNe HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 34ee697da27be8ad13b8fe01d67da6a3
Content-Type: application/json
{
"content" : [ {
"uuid" : "e90993d4-af68-4774-9099-d4111c08e099",
"name" : "Typewell one",
"api" : "api typewell one",
"flags" : {
"has_logs" : false,
"has_topsets" : false,
"has_mudlogs" : false
}
} ],
"offset" : 0,
"limit" : 10,
"total" : 1,
"first" : true,
"last" : true
}
GET /public/api/v1/projects/{uuid}/typewells
| Path parameter | Description |
|---|---|
uuid |
Project UUID |
| Parameter | Description |
|---|---|
offset |
Index of the first record to return by a request from the list of all records |
limit |
Maximum number of records to return by a request from the list of all records, starting with 'offset' |
filter |
Filter typewells by the 'name' or 'api' fields. Case insensitive. |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
content |
Array |
Content array |
offset |
Number |
Index of the first record returned by a request from the list of all records |
limit |
Number |
Maximum number of records returned by a request from the list of all records, starting with 'offset' |
total |
Number |
Total number of records |
first |
Boolean |
true if the current records range is the first, otherwise – false |
last |
Boolean |
true if the current records range is the last, otherwise – false |
content[].uuid |
String |
Typewell UUID |
content[].name |
String |
Typewell name |
content[].api |
String |
API typewell number |
content[].flags.has_logs |
Boolean |
Flag indicating the presence of logs |
content[].flags.has_topsets |
Boolean |
Flag indicating the presence of topsets |
content[].flags.has_mudlogs |
Boolean |
Flag indicating the presence of mudlogs |
Get typewell metadata
Get typewell metadata
Request
$ curl 'https://solo.cloud/public/api/v1/typewells/aa287621-31b0-42d4-aa32-010fd9347420' -i -X GET \
-H 'Authorization: Bearer <your_access_token>' \
-H 'Content-Type: application/json'
GET /public/api/v1/typewells/aa287621-31b0-42d4-aa32-010fd9347420 HTTP/1.1
Authorization: Bearer <your_access_token>
Content-Type: application/json
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: 72ee4714eadefd183927eb7c3d59eb2d
Content-Type: application/json
{
"uuid" : "aa287621-31b0-42d4-aa32-010fd9347420",
"name" : "Typewell",
"operator" : "string",
"api" : "string",
"xsrf" : {
"val" : 19.68503937007874
},
"ysrf" : {
"val" : 32.808398950131235
},
"kb" : {
"val" : 22.96587926509186
},
"convergence" : {
"val" : 0.0
},
"tie_in_tvd" : {
"val" : 0.0
},
"tie_in_ns" : {
"val" : 3.280839895013123
},
"tie_in_ew" : {
"val" : 0.0
}
}
GET /public/api/v1/typewells/{uuid}
| Path parameter | Description |
|---|---|
uuid |
Typewell UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
| Path | Type | Description |
|---|---|---|
uuid |
String |
Typewell UUID |
name |
String |
Typewell name |
operator |
String |
Operator name |
api |
String |
API typewell number |
xsrf.val |
Number |
X surface coordinate |
ysrf.val |
Number |
Y surface coordinate |
kb.val |
Number |
Kelly Bushing (KB) is the height of the Derek (drill rig) measured from the MSL |
convergence.val |
Number |
Convergence |
tie_in_tvd.val |
Number |
Tie in tvd coordinates |
tie_in_ns.val |
Number |
Tie in NS |
tie_in_ew.val |
Number |
Tie in EW |
Get typewell ellipses
Get typewell ellipses data by typewell UUID
Request
$ curl 'https://solo.cloud/public/api/v1/typewells/a8d02870-0050-47b6-aaaa-0e19d7e41fba/ellipses' -i -X GET \
-H 'Authorization: Bearer <your_access_token>'
GET /public/api/v1/typewells/a8d02870-0050-47b6-aaaa-0e19d7e41fba/ellipses HTTP/1.1
Authorization: Bearer <your_access_token>
Host: solo.cloud
Response
HTTP/1.1 200 OK
X-Solo-Trace-Id: ad7233bee3d27b88ead92f4f424dc9d7
Content-Type: application/json
{
"content" : [ {
"index" : 10.0,
"value" : {
"nev" : [ 14.99, 98.23, 41.2, 67.78, 23.89, 12.31, 55.43, 11.23, 34.33 ],
"messages" : [ ]
}
} ]
}
GET /public/api/v1/typewells/{typewellUuid}/ellipses
| Path parameter | Description |
|---|---|
typewellUuid |
Typewell UUID |
| Header | Description |
|---|---|
Authorization |
OAuth2 authorization header |
Response body
[...]
